summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-07-15 11:04:33 +0200
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-07-15 11:04:33 +0200
commit773354922bd9817f9ed2d9306fb6456223b040f3 (patch)
treec32680e2c932b42273b532612847798de021019e
parent8db4d823e02b1d74e1bf4fdbafdb097a6bffdb14 (diff)
RED: add run-paper-strong-full
-rwxr-xr-xRED/run-paper-strong-full.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/RED/run-paper-strong-full.sh b/RED/run-paper-strong-full.sh
new file mode 100755
index 0000000..d85cd65
--- /dev/null
+++ b/RED/run-paper-strong-full.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+
+(
+
+echo "prim-benchmarks RED strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 are not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 VERSION=SINGLE verbose=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 419430400 -x 1 || true
+ fi
+ done
+done
+) | tee log-paper-strong-full.txt